Listar documentos com paginação
Este endpoint retorna documentos paginados conforme o filtro informado.
GET
/Document/pagedEste endpoint retorna documentos paginados conforme o filtro informado.
Autenticação
Autenticação obrigatória. Envie sua chave de API de usuário no header X-API-Key.
Parâmetros
| Nome | Local | Tipo | Obrigatório | Descrição | Restrições |
|---|---|---|---|---|---|
Title | query | string | Não | — | — |
CreatedAtStart | query | string · date-time | Não | — | — |
CreatedAtEnd | query | string · date-time | Não | — | — |
TenantId | query | integer · int32 | Não | — | — |
Page | query | integer · int32 | Não | — | — |
PageSize | query | integer · int32 | Não | — | — |
Private | query | boolean | Não | — | — |
CreatedByUserId | query | integer · int32 | Não | — | — |
Corpo da requisição
Esta operação não recebe corpo de requisição.
Exemplo de requisição
curl --request GET \
--url 'https://api.zild.ai/Document/paged?Title={Title}&CreatedAtStart={CreatedAtStart}&CreatedAtEnd={CreatedAtEnd}&TenantId={TenantId}&Page={Page}&PageSize={PageSize}&Private={Private}&CreatedByUserId={CreatedByUserId}' \
--header 'X-API-Key: YOUR_USER_API_KEY'
Respostas
| Status | Descrição | Corpo da resposta |
|---|---|---|
200 | OK | application/json · DocumentCreateResponseDtoPagedResultDto |
Exemplo de resposta (200):
{
"items": [
{
"id": 0,
"title": "string",
"description": "string",
"extractedText": "string",
"analysisText": "string",
"fileUrl": "string",
"documentStatusId": 0,
"documentType": 0,
"createdAt": "2026-09-22T18:00:00Z",
"analizedAt": "2026-09-22T18:00:00Z",
"documentChecklistId": 0,
"private": true
}
],
"totalCount": 0
}
Modelos de dados
DocumentCreateResponseDto
| Propriedade | Tipo | Obrigatório | Descrição | Restrições |
|---|---|---|---|---|
id | integer · int32 | Não | — | — |
title | string | Não | — | aceita null |
description | string | Não | — | aceita null |
extractedText | string | Não | — | aceita null |
analysisText | string | Não | — | aceita null |
fileUrl | string | Não | — | aceita null |
documentStatusId | integer · int32 | Não | — | — |
documentType | DocumentType | Não | — | — |
createdAt | string · date-time | Não | — | aceita null |
analizedAt | string · date-time | Não | — | aceita null |
documentChecklistId | integer · int32 | Não | — | — |
private | boolean | Não | — | — |
DocumentCreateResponseDtoPagedResultDto
| Propriedade | Tipo | Obrigatório | Descrição | Restrições |
|---|---|---|---|---|
items | array<DocumentCreateResponseDto> | Não | — | aceita null |
totalCount | integer · int32 | Não | — | — |
DocumentType
0 = Image; 1 = Word; 2 = PDF; 3 = Text
integer